> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update decision section



## OpenAPI

````yaml patch /v1/decision-sections/{id}
openapi: 3.0.0
info:
  title: Settings APIs Specification
  description: Section for description
  version: '1.0'
  contact: {}
servers:
  - url: https://staging.api.us.aptlydone.com/settings
  - url: https://staging.api.eu.aptlydone.com/settings
  - url: https://api.us.aptlydone.com/settings
  - url: https://api.eu.aptlydone.com/settings
security: []
tags: []
paths:
  /v1/decision-sections/{id}:
    patch:
      tags:
        - decision-sections
      summary: Update decision section
      operationId: TenantSectionsController_updateSection_v1
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TenantSectionsUpdateDto'
      responses:
        '200':
          description: Decision section updated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TenantSectionsResponseDtoResponse'
      security:
        - accessToken: []
components:
  schemas:
    TenantSectionsUpdateDto:
      type: object
      properties:
        sectionName:
          type: string
          maxLength: 50
          description: Section name
          example: Finance Department
        isDeleted:
          type: boolean
          example: false
          description: Is deleted flag
    TenantSectionsResponseDtoResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP Status code
          example: 200
        timestamp:
          type: string
          description: Timestamp of the response
          example: '2026-01-08T06:33:20.711Z'
        message:
          type: string
          description: Response message
          example: Success
        data:
          description: Response data
          allOf:
            - $ref: '#/components/schemas/TenantSectionsResponseDto'
      required:
        - statusCode
        - timestamp
        - message
        - data
    TenantSectionsResponseDto:
      type: object
      properties:
        id:
          type: string
          example: ac9559f4-4e4e-4875-8fcd-ed14ad850183
          description: Unique identifier
        tenantId:
          type: string
          example: c00ff798-020d-4b15-bf55-fad29786c6cd
          description: Tenant ID
        sectionName:
          type: string
          example: Finance Department
          description: Section name
        isDeleted:
          type: boolean
          example: false
          description: Is deleted flag
        categories:
          description: Categories
          type: array
          items:
            $ref: '#/components/schemas/CategoryResponseDto'
        createdAt:
          format: date-time
          type: string
          example: '2024-01-15T12:00:00Z'
          description: Created at timestamp
      required:
        - id
        - tenantId
        - sectionName
        - isDeleted
        - categories
        - createdAt
    CategoryResponseDto:
      type: object
      properties:
        id:
          type: string
          example: 4a7ed297-338c-4f62-82ce-d5e865b50ccb
          description: Unique identifier
        tenantId:
          type: string
          example: 6a91b677-54b9-4ca0-b2d5-32c1d64f784f
          description: Tenant ID
        sectionId:
          type: string
          example: 34270cee-9e1c-40bc-a6b8-470b58e6e3eb
          description: Section ID
        categoryName:
          type: string
          example: Finance
          description: Category name
        isDeleted:
          type: boolean
          example: false
          description: Is deleted flag
      required:
        - id
        - tenantId
        - categoryName
        - isDeleted
  securitySchemes:
    accessToken:
      scheme: bearer
      bearerFormat: JWT
      type: http

````